Bug 244764 - Anaconda (liveinst) can't install LiveCD created with livecd-creator
Anaconda (liveinst) can't install LiveCD created with livecd-creator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 22:19 EDT by Luis Felipe Marzagao
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 10:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of anaconda "exception ocurred" (78.65 KB, image/jpeg)
2007-06-18 22:19 EDT, Luis Felipe Marzagao
no flags Details
anaconda livecd install patch (501 bytes, patch)
2007-06-19 04:10 EDT, Àlex Magaz Graça
no flags Details | Diff

  None (edit)
Description Luis Felipe Marzagao 2007-06-18 22:19:17 EDT
Description of problem:

liveinst (anaconda) doesn't complete the installation of the LiveCD to the hard
drive.


Version-Release number of selected component (if applicable):

Personal Live CD created with livecd-creator tool (009-1.fc7), using the file
/usr/share/livecd-tools/livecd-fedora-desktop.ks as basis.

[duli@localhost ~]$ yum list | grep -i anaconda
anaconda.i386                            11.2.0.66-1            installed      
anaconda-runtime.i386                    11.2.0.66-1            installed      
busybox-anaconda.i386                    1:1.2.2-8.fc7          installed   


How reproducible:

Everytime you try to execute the liveinst tool.


Steps to Reproduce:
1. Create a LiveCD with livecd-creator (for example):

livecd-creator --config=/usr/share/livecd-tools/livecd-fedora-desktop.ks

2. Boot the livecd;
3. Try to install it to the hard drive (liveinst tool)
  

Actual results:

Anaconda stops just at the end of "Copying live image to hard drive" and gives
the message below. It happens also when doing the text install. The traceback
messages are the same. It stops when saying "Configuring bootloader". Then it
says to file a bug report against anaconda and paste following the error messages:


Traceback (most recent call first):
  File "/usr/lib/anaconda/livecd.py", line 93, in postAction
    log.error("unable to unmount %s: %s" %(d, e))
  File "/usr/lib/anaconda/installclass.py", line 84, in postAction
    anaconda.method.postAction(anaconda)
  File "/usr/lib/anaconda/packages.py", line 43, in doPostAction
    anaconda.id.instClass.postAction(anaconda, flags.serial)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1041, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1068, in handleRenderCallback
    self.currentWindow.renderCallback()
NameError: global name 'd' is not defined

Local variables in innermost frame:
self: <livecd.LiveCDImageMethod instance at 0x8b039cc>
e: (22, 'Invalid argument')
dir: /selinux
anaconda: <__main__.Anaconda instance at 0xb7ebb6ec>


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object (GtkEventBox) at 0x916eb94>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object (GtkImage) at 0x916eb44>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object (GtkLabel) at 0x916ebe4>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 174
        intf.ppw.ics.cw.mainxml: <glade.XML object (PyGladeXML) at 0x8bbb70c>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object (GtkWindow) at 0x8bbb7ac>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object (GtkFrame) at 0x8bbb75c>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object (GtkWindow) at 0x8b0bbe4>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object (HtmlView) at 0x8b0bc0c>
          intf.ppw.ics.cw.rnv.currentURI:
/usr/share/doc/HTML/RELEASE-NOTES-en_US.html
          intf.ppw.ics.cw.rnv.topDir: /usr/share/doc/HTML
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object (HtmlDocument) at
0x8b0bb94>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function
unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent',
'Python-urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.type: file
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta
http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body
bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object (GtkProgressBar) at 0x916ebbc>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/live-osimg
dispatch: Dispatcher instance, containing members:
  dispatch.step: 50
  dispatch.skipSteps: {'upgradecontinue': 1, 'bootloader': 1, 'group-selection':
1, 'findrootparts': 1, 'findinstall': 1, 'language': 2, 'upgradeswapsuggestion':
1, 'confirmupgrade': 1, 'partition': 1, 'bootloaderadvanced': 1, 'betanag': 2,
'upgrademount': 1, 'tasksel': 1, 'upgbootloader': 1, 'upgrademigfind': 1,
'addswap': 1, 'upgrademigratefs': 1, 'regkey': 1}
  dispatch.firstStep: 0
  dispatch.method: LiveCDImageMethod instance, containing members:
    dispatch.method.splitmethod: False
    dispatch.method.intf: Already dumped
    dispatch.method.tree: None
    dispatch.method.rootPath: /mnt/sysimage
    dispatch.method.osimg: //dev/live-osimg
  dispatch.anaconda: Already dumped
method: Already dumped
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.rootParts: None
  id.instProgress: None
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x89c5a0c>]
Primary Video Card Info:
device: None
driver : vmware
descr : VMware Inc [VMware SVGA II] PCI Display Adapter
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: VMware Inc [VMware SVGA II]
PCI Display Adapter
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: vmware
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1900x1200, 1920x1080,
1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing
members:
      id.xsetup.xserver.mousehw: FULLNAME="VMWare - VMWare Mouse"
MOUSETYPE="vmmouse"
XEMU3="yes"
XMOUSETYPE="vmmouse"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: <XF86Config object at 0x8af0490>
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: True
    id.timezone.arc: 0
    id.timezone.tz: America/New_York
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x8b091cc>
  id.methodstr: livecd:///dev/live-osimg
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x89d8e8c>>
    id.fsset.volumesCreated: 1
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x89d8e8c>>
    id.fsset.migratedfs: 1
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x89d8e8c>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: /

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 5
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 5
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText:
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.disks: {'sda': <PedDisk object at 0x88836b0>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: Users instance, containing members:
    id.users.admin: <Admin object at 0x8883950>
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.perms: 384
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: rhgb quiet
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup00/LogVol00
      id.bootloader.images.images: {'VolGroup00/LogVol00': ('linux', 'Fedora',
'ext3')}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:0C:29:F7:98:BF
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: [localdomain]
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: DefaultInstall instance, containing members:
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 11
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [sda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 9
  type: ext3  format: 1  badblocks: None
  device: sda1 drive: ['sda']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: /  uniqueID: 8
  type: ext3  format: 1  badblocks: None
  size: 7008  lvname: LogVol00  volgroup: 7
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 10
  type: swap  format: 1  badblocks: None
  size: 1024  lvname: LogVol01  volgroup: 7
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: VolGroup00  uniqueID: 7
  format: 1 pesize: 32768 
  physvols: [6]
, New Part Request -- mountpoint: None uniqueID: 6
  type: physical volume (LVM)  format: 1  badblocks: None
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None
uniqueID: None
  type: physical volume (LVM)  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768 
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1  badblocks: None
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1  badblocks: None
  size: 512  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: [drive: sda  start: 208845  end: 16771859
, vgname: VolGroup00
, lvname: LogVol01  vgname: VolGroup00
, drive: sda  start: 63  end: 208844
, lvname: LogVol00  vgname: VolGroup00
]
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 0
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
05:26:49 INFO    : using only installclass _Fedora
05:26:49 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/live-osimg', '--lang', 'en_US.UTF-8']
05:26:49 INFO    : Display mode = g
05:26:49 INFO    : Method = livecd:///dev/live-osimg
05:26:53 INFO    : anaconda floppy device fd0
05:26:56 INFO    : Starting graphical installation...
05:26:57 INFO    : Detected 512M of memory
05:26:57 INFO    : Swap attempt of 512M to 1024M
05:26:57 WARNING : step installtype does not exist
05:26:57 WARNING : step complete does not exist
05:26:57 INFO    : moving (1) to step welcome
05:27:34 INFO    : using only installclass _Fedora
05:27:34 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/live-osimg', '--lang', 'en_US.UTF-8']
05:27:34 INFO    : Display mode = g
05:27:34 INFO    : Method = livecd:///dev/live-osimg
05:27:38 INFO    : anaconda floppy device fd0
05:27:41 INFO    : Starting graphical installation...
05:27:42 INFO    : Detected 512M of memory
05:27:42 INFO    : Swap attempt of 512M to 1024M
05:27:42 WARNING : step installtype does not exist
05:27:42 WARNING : step complete does not exist
05:27:42 INFO    : moving (1) to step welcome
05:27:45 INFO    : moving (1) to step keyboard
05:27:47 INFO    : moving (1) to step partitionobjinit
05:27:47 INFO    : no /tmp/fcpconfig; not configuring zfcp
05:27:47 DEBUG   : starting mpaths
05:27:47 DEBUG   : self.driveList(): ['sda']
05:27:47 DEBUG   : DiskSet.skippedDisks: []
05:27:47 DEBUG   : DiskSet.skippedDisks: []
05:27:47 DEBUG   : starting all mpaths on drives ['sda']
05:27:47 DEBUG   : scanning for multipath on drives ['sda']
05:27:47 DEBUG   : mpaths: []
05:27:47 DEBUG   : done starting mpaths.  Drivelist: ['sda']
05:27:47 DEBUG   : starting dmraids
05:27:47 DEBUG   : self.driveList(): ['sda']
05:27:47 DEBUG   : DiskSet.skippedDisks: []
05:27:47 DEBUG   : DiskSet.skippedDisks: []
05:27:47 DEBUG   : starting all dmraids on drives ['sda']
05:27:47 DEBUG   : scanning for dmraid on drives ['sda']
05:27:47 DEBUG   : done starting dmraids.  Drivelist: ['sda']
05:27:51 INFO    : lv VolGroup00/LogVol00, attr is -wi-a-
05:27:51 INFO    : lv is VolGroup00/LogVol00, size of 7008
05:27:51 INFO    : lv is VolGroup00/LogVol01, size of 1024
05:27:53 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 8087
05:27:53 INFO    : vg VolGroup00, size is 8064, pesize is 32768
05:27:53 INFO    : lv is VolGroup00/LogVol00, size of 7008
05:27:53 INFO    : lv is VolGroup00/LogVol01, size of 1024
05:27:53 INFO    : mdadm -E /dev/VolGroup00/LogVol00
05:27:53 INFO    : mdadm -E /dev/VolGroup00/LogVol01
05:27:54 INFO    : scd0 is a protected partition
05:27:54 INFO    : no request, probably a removable drive
05:27:54 INFO    : moving (1) to step parttype
05:28:01 INFO    : moving (1) to step autopartitionexecute
05:28:01 DEBUG   : used space is 1536
05:28:01 DEBUG   : actual space is 8032
05:28:01 DEBUG   : used space is 5856
05:28:01 DEBUG   : actual space is 8032
05:28:01 DEBUG   : used space is 6368
05:28:01 DEBUG   : actual space is 8032
05:28:01 DEBUG   : used space is 8032
05:28:01 DEBUG   : actual space is 8032
05:28:01 DEBUG   : used space is 8032
05:28:01 DEBUG   : actual space is 8032
05:28:01 DEBUG   : used space is 8032
05:28:01 DEBUG   : actual space is 8032
05:28:01 INFO    : moving (1) to step partitiondone
05:28:01 INFO    : moving (1) to step bootloadersetup
05:28:01 INFO    : moving (1) to step networkdevicecheck
05:28:01 INFO    : moving (1) to step network
05:28:04 INFO    : moving (1) to step timezone
05:28:06 INFO    : moving (1) to step accounts
05:28:14 INFO    : moving (1) to step reposetup
05:28:14 INFO    : moving (1) to step basepkgsel
05:28:14 INFO    : moving (1) to step postselection
05:28:14 INFO    : moving (1) to step confirminstall
05:28:14 INFO    : moving (1) to step install
05:28:14 INFO    : moving (1) to step enablefilesystems
05:28:14 INFO    : lv is VolGroup00/LogVol00, size of 7008
05:28:14 INFO    : lv is VolGroup00/LogVol01, size of 1024
05:28:14 INFO    : removing lv LogVol01
05:28:14 INFO    : removing lv LogVol00
05:28:15 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 8087
05:28:15 INFO    : vgremove -v VolGroup00
05:28:15 INFO    : pvremove -ff -y -v /dev/sda2
05:28:15 INFO    : pvcreate -ff -y -v /dev/sda2
05:28:15 INFO    : disk.commit() for /dev/sda
05:28:16 INFO    : formatting swap as swap
05:28:16 INFO    : formatting / as ext3
05:28:16 INFO    : Format command:  ['mke2fs', '/dev/VolGroup00/LogVol00', '-i',
'4096', '-j']

05:28:17 INFO    : moving (1) to step migratefilesystems
05:28:17 INFO    : moving (1) to step setuptime
00:25:46 INFO    : moving (1) to step preinstallconfig
00:25:46 INFO    : moving (1) to step installpackages
00:25:46 INFO    : Preparing to install packages
00:40:44 INFO    : moving (1) to step postinstallconfig
00:40:44 INFO    : doing post-install fs mangling
00:40:44 INFO    : trying to mount VolGroup00/LogVol00 on /
00:40:44 DEBUG   : isys.py:mount()- going to mount /dev/VolGroup00/LogVol00 on
/mnt/sysimage
00:40:44 INFO    : trying to mount sda1 on /boot
00:40:44 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
00:40:45 INFO    : trying to mount sys on /sys
00:40:45 DEBUG   : isys.py:mount()- going to mount sys on /mnt/sysimage/sys
00:40:45 INFO    : trying to mount proc on /proc
00:40:45 DEBUG   : isys.py:mount()- going to mount proc on /mnt/sysimage/proc
00:40:49 INFO    : lv VolGroup00/LogVol00, attr is -wi-ao
00:40:49 INFO    : lv is VolGroup00/LogVol00, size of 7008
00:40:49 INFO    : lv is VolGroup00/LogVol01, size of 1024
00:40:49 INFO    : doing the copy for /boot
00:40:49 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on
/mnt/sysimage/mnt/boot
00:40:55 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
00:40:55 INFO    : set fc of /boot/config-2.6.21-1.3194.fc7 to
system_u:object_r:boot_t:s0
00:40:55 INFO    : set fc of /boot/initrd-2.6.21-1.3194.fc7.img to
system_u:object_r:boot_t:s0
00:40:55 INFO    : set fc of /boot/System.map-2.6.21-1.3194.fc7 to
system_u:object_r:system_map_t:s0
00:40:55 INFO    : set fc of /boot/vmlinuz-2.6.21-1.3194.fc7 to
system_u:object_r:boot_t:s0
00:40:55 INFO    : set fc of /boot to system_u:object_r:boot_t:s0
00:40:55 INFO    : set fc of /boot/lost+found to system_u:object_r:lost_found_t:s0
00:40:56 INFO    : set fc of /boot/grub/iso9660_stage1_5 to
system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/fat_stage1_5 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/stage2 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/xfs_stage1_5 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/vstafs_stage1_5 to
system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/splash.xpm.gz to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/stage1 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/ufs2_stage1_5 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/jfs_stage1_5 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/grub.conf to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/menu.lst to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/minix_stage1_5 to
system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/e2fs_stage1_5 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/ffs_stage1_5 to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/reiserfs_stage1_5 to
system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub/device.map to system_u:object_r:boot_t:s0
00:40:56 INFO    : set fc of /boot/grub to system_u:object_r:boot_t:s0
00:40:56 DEBUG   : isys.py:mount()- going to mount /dev on /mnt/sysimage/dev
00:40:56 INFO    : going to do resize
00:41:14 INFO    : recreating initrd for 2.6.21-1.3194.fc7
00:42:11 INFO    : moving (1) to step writeconfig
00:42:11 INFO    : Writing main configuration
00:42:15 INFO    : self.hostname = localhost.localdomain
00:42:16 INFO    : moving (1) to step firstboot
00:42:16 INFO    : moving (1) to step instbootloader
00:42:17 INFO    : vg VolGroup00, size is 8064, pesize is 32768
00:42:18 INFO    : vg VolGroup00, size is 8064, pesize is 32768
00:42:18 INFO    : vg VolGroup00, size is 8064, pesize is 32768
00:42:18 INFO    : vg VolGroup00, size is 8064, pesize is 32768
00:42:19 INFO    : moving (1) to step writexconfig
00:42:19 INFO    : Writing X configuration
00:42:19 INFO    : moving (1) to step writeksconfig
00:42:19 INFO    : Writing autokickstart file
00:42:19 INFO    : moving (1) to step writeregkey
00:42:19 INFO    : moving (1) to step setfilecon
00:42:19 INFO    : moving (1) to step copylogs
00:42:19 INFO    : Copying anaconda logs
00:42:19 INFO    : moving (1) to step methodcomplete
00:42:19 INFO    : moving (1) to step postscripts
00:42:19 INFO    : moving (1) to step dopostaction


/tmp/lvmout:


Expected results:

Install should complete.

Additional info:

No idea what else could I provide. Please help me to debug the problem.
Comment 1 Luis Felipe Marzagao 2007-06-18 22:19:17 EDT
Created attachment 157340 [details]
Screenshot of anaconda "exception ocurred"
Comment 2 Àlex Magaz Graça 2007-06-19 04:10:13 EDT
Created attachment 157354 [details]
anaconda livecd install patch
Comment 3 Àlex Magaz Graça 2007-06-19 04:12:41 EDT
The attached patch solved the problem for me.
Comment 4 Luis Felipe Marzagao 2007-06-19 09:12:41 EDT
Alex: could you tell me how do I apply the patch (if it is not complicated)?

Thanks a lot!
Comment 5 Chris Lumens 2007-06-19 10:57:01 EDT
This will be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 6 Luis Felipe Marzagao 2007-06-19 11:33:00 EDT
Ok, great. Thanks guys for the support.

Note You need to log in before you can comment on or make changes to this bug.